很多人说直接升级npm或降级即可,但是我尝试之后发现无效,找了不少博客与论坛,终于解决了这个问题。在这里记录一下,以免下次再次被难住。

  1. 首先尝试升降级npm,如果可行的话,那么下文就都不必在看

降级 :npm install -g npm@5.4.0
升级 : npm install -g npm

  1. 如果升降级不能解决问题,需要清理一下缓存
    npm cache clean --force
    清理过之后,再执行npm install就不再报错了